{
    attributes = (
        {
            columnName = "CLE_DATES"; 
            externalType = NUMBER; 
            name = cleDates; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "REF_ORDRE"; 
            externalType = NUMBER; 
            name = refOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TYPE_CODE"; 
            externalType = VARCHAR2; 
            name = typeCode; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TYPE_DOCUMENT_ID"; 
            externalType = NUMBER; 
            name = typeDocumentId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TYPE_FAMILLE"; 
            externalType = VARCHAR2; 
            name = typeFamille; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TYPE_LIBELLE"; 
            externalType = VARCHAR2; 
            name = typeLibelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 100; 
        }, 
        {
            columnName = "TYPE_ORDRE"; 
            externalType = NUMBER; 
            name = typeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TYPE_ORDRE_CHAR"; 
            externalType = VARCHAR2; 
            name = typeOrdreChar; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TYPE_PAGE_TITRE"; 
            externalType = VARCHAR2; 
            name = typePageTitre; 
            valueClassName = NSString; 
            valueType = S; 
            width = 50; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TYPE_PAGE_URL"; 
            externalType = VARCHAR2; 
            name = typePageUrl; 
            valueClassName = NSString; 
            valueType = S; 
            width = 200; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TYPE_TYPE_CONSULTATION"; 
            externalType = NUMBER; 
            name = typeTypeConsultation; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TYPE_VISIBLE_APPLI"; 
            externalType = VARCHAR2; 
            name = typeVisibleAppli; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (typeOrdre, typeVisibleAppli, typeFamille, cleDates); 
    className = "org.cocktail.geide.fwkcktlgedibus.metier.serveur.TypeCourrierNew"; 
    classProperties = (
        typeLibelle, 
        typeCode, 
        typeTypeConsultation, 
        refOrdre, 
        typeVisibleAppli, 
        typeFamille, 
        cleDates, 
        typePageUrl, 
        typePageTitre, 
        typeOrdreChar, 
        typeDocumentId, 
        typeOrdre
    ); 
    externalName = "COURRIER.TYPE_COURRIER_NEW"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            typeLibelle, 
            typeCode, 
            typeTypeConsultation, 
            refOrdre, 
            typeVisibleAppli, 
            typeFamille, 
            cleDates, 
            typePageUrl, 
            typePageTitre, 
            typeOrdreChar, 
            typeDocumentId
        ); 
        "_javaClientClassName" = "org.cocktail.geide.fwkcktlgedibus.metier.client.TypeCourrierNew"; 
    }; 
    name = "GB_TypeCourrierNew"; 
    primaryKeyAttributes = (typeOrdre); 
}
